Endpoint: /sites/{siteId}/contentIntegrity/{profileId}
Returns, updates, and deletes content integrity profile settings.
-
GET
-
PATCH
-
DELETE
Method & URL
GET https://[server URL]:[port]/admin/v2/sites/{siteId}/contentIntegrity/{profileId}
GET Body Sample
### GET spacific content integrity profile settings####
###Pass the ID of the CIC profile###
@profileId = 53f00be5-9aa0-41ed-9fdf-ea99f6784238
GET https://{{host}}/admin/v2/sites/{{Siteid}}/contentIntegrity/{{profileId}}/ HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}
GET Response Body Sample
{ "data": { "id": "53f00be5-9aa0-41ed-9fdf-ea99f6784238", "type": "contentIntegrity",
"attributes": { "profileName": "Profile_API_TEST", "host": true, "port": 1344, "path": true,
"mode": "REQMOD", "scanLimit": { "enabled": true, "bytes": 100000 },
"headerOverrides": { "httpHost": { "enabled": true, "value": "192.168.100.83" },
"xClientIp": { "enabled": true, "value": "192.168.100.52" }, "xServerIp": { "enabled": false, "value": "" },
"xSubscriberIp": { "enabled": false, "value": "" }, "xAuthenticatedUser": { "enabled": false, "value": "" },
"xAuthenticatedGroups": { "enabled": false, "value": "" } },
"responseHandling": { "continueOnConnectivityError": "Continue", "continueOnHttpError": "Continue",
"continueOnIcapViolation": "Fail", "continueOnIcapRedaction": "Continue",
"customHeadersToAudit": { "enabled": true, "headers": [] } } } }, "links": { "self":
"admin/v2/sites/0de7387f-1506-427d-b997-e18bcdb8cbae/contentIntegrity/53f00be5-9aa0-41ed-9fdf-ea99f6784238" } }
GET PowerShell Sample
####Added 2/15/2022 ###
###GET specific Content Integrity Profile settings###
### User must obtain the Profile ID and manually enter it or by holding the value on a variable ###
Write-Output "GET specific Content Integrity Profile settings"
Write-Output "----------------------------------------------"
#$profileID = "53f00be5-9aa0-41ed-9fdf-ea99f6784238"
$SCIlist = Invoke-RestMethod -Uri "$baseURL/v2/sites/$siteID/contentIntegrity/$profileId"
-Method 'GET' -Headers $authHeader
Write-Output $SCIlist | ConvertTo-Json -Depth 35
Method & URL
PATCH https://[server URL]:[port]/admin/v2/sites/{siteId}/contentIntegrity/{profileId}
PATCH Body Sample
### #PATCH content integrity profile ####
###Pass the ID of the CIC profile###
###@profileId = 53f00be5-9aa0-41ed-9fdf-ea99f6784238
PATCH https://{{host}}/admin/v2/sites/{{Siteid}}/contentIntegrity/{{profileId}} HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}
{
"data": {
"type": "contentIntegrity",
"attributes": {
"profileName": "Profile_API_TEST_PATCH",
"host": true,
"port": 1344,
"path": true,
"mode": "REQMOD",
"scanLimit": {
"enabled": true,
"bytes": 100000
},
"headerOverrides": {
"httpHost": {
"enabled": true,
"value": "192.168.100.00"
},
"xClientIp": {
"enabled": true,
"value": "192.168.100.00"
},
"xServerIp": {
"enabled": false,
"value": ""
},
"xSubscriberIp": {
"enabled": false,
"value": ""
},
"xAuthenticatedUser": {
"enabled": false,
"value": ""
},
"xAuthenticatedGroups": {
"enabled": false,
"value": ""
}
},
"responseHandling": {
"continueOnConnectivityError": "Continue",
"continueOnHttpError": "Continue",
"continueOnIcapViolation": "Fail",
"continueOnIcapRedaction": "Continue",
"customHeadersToAudit": {
"enabled": true,
"headers": []
}
}
}
}
}
PATCH Response Body Sample
{ "data": { "id": "d7c7c566-e2e1-4dd9-8332-9c2aa63f7bff", "type": "contentIntegrity",
"attributes": { "profileName": "Profile_API_TEST_PATCH", "host": true, "port": 1344, "path": true,
"mode": "REQMOD", "scanLimit": { "enabled": true, "bytes": 100000 },
"headerOverrides": { "httpHost": { "enabled": true, "value": "192.168.100.00" },
"xClientIp": { "enabled": true, "value": "192.168.100.00" }, "xServerIp": { "enabled": false,
"value": "" }, "xSubscriberIp": { "enabled": false, "value": "" }, "xAuthenticatedUser": {
"enabled": false, "value": "" }, "xAuthenticatedGroups": { "enabled": false, "value": "" } },
"responseHandling": { "continueOnConnectivityError": "Continue", "continueOnHttpError": "Continue",
"continueOnIcapViolation": "Fail", "continueOnIcapRedaction": "Continue",
"customHeadersToAudit": { "enabled": true, "headers": [] } } } }, "links": { "self":
"/admin/v2/sites/0de7387f-1506-427d-b997-e18bcdb8cbae/contentIntegrity/d7c7c566-e2e1-4dd9-8332-9c2aa63f7bff" } }
PATCH PowerShell Sample
### PATCH specific Content Integrity Profile settings###
### User must obtain the Profile ID and manually enter it or by holding the value on a variable ###
Write-Output "PATCH specific Content Integrity Profile settings"
Write-Output "------------------------------------------------"
$update =
'{
"data": {
"type": "contentIntegrity",
"attributes": {
"profileName": "Profile_API_TEST_PATCH",
"host": true,
"port": 1344,
"path": true,
"mode": "REQMOD",
"scanLimit": {
"enabled": true,
"bytes": 100000
},
"headerOverrides": {
"httpHost": {
"enabled": true,
"value": "192.168.100.00"
},
"xClientIp": {
"enabled": true,
"value": "192.168.100.00"
},
"xServerIp": {
"enabled": false,
"value": ""
},
"xSubscriberIp": {
"enabled": false,
"value": ""
},
"xAuthenticatedUser": {
"enabled": false,
"value": ""
},
"xAuthenticatedGroups": {
"enabled": false,
"value": ""
}
},
"responseHandling": {
"continueOnConnectivityError": "Continue",
"continueOnHttpError": "Continue",
"continueOnIcapViolation": "Fail",
"continueOnIcapRedaction": "Continue",
"customHeadersToAudit": {
"enabled": true,
"headers": []
}
}
}
}
}'
$update = $update | ConvertFrom-Json
$update = $update | ConvertTo-Json -Depth 35
$patchReturn = Invoke-RestMethod -Uri "$baseURL/v2/sites/$siteID/contentIntegrity/$profileId"
-Method 'PATCH' -Headers $authHeader -Body $update
Method & URL
DELETE https://[server URL]:[port]/admin/v2/sites/{siteId}/contentIntegrity/{profileId}
DELETE Body Sample
###DELETE spacific content integrity profile settings####
###Pass the ID of the CIC profile###
###@profileId = 53f00be5-9aa0-41ed-9fdf-ea99f6784238
DELETE https://{{host}}/admin/v2/sites/{{Siteid}}/contentIntegrity/{{profileId}}/ HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}
DELETE Response Body Sample
###DELETE spacific content integrity profile settings####
###Pass the ID of the CIC profile###
###@profileId = 53f00be5-9aa0-41ed-9fdf-ea99f6784238
DELETE https://{{host}}/admin/v2/sites/{{Siteid}}/contentIntegrity/{{profileId}}/ HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}
DELETE PowerShell Sample
###DELETE specific content integrity profile settings####
###Pass the ID of the CIC profile###
###@profileId = 53f00be5-9aa0-41ed-9fdf-ea99f6784238
Write-Output "DELETE specific content integrity profile settings"
Write-Output "-------------------------------------------------"
#$profileID = "53f00be5-9aa0-41ed-9fdf-ea99f6784238"
$DCIClist = Invoke-RestMethod -Uri "$baseURL/v2/sites/$siteID/contentIntegrity/$profileId"
-Method 'DELETE' -Headers $authHeader
Write-Output $DCIClist | ConvertTo-Json -Depth 35